Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop
Class GeneratedInstanceAdvisorMixin

    java.lang.Object
      org.jboss.aop.GeneratedInstanceAdvisorMixin

All Implemented Interfaces:
  InstanceAdvisor, Serializable

public class GeneratedInstanceAdvisorMixin
extends Object
implements InstanceAdvisor, Serializable

Adapts the old instance advisor api to the new generated advisor stuff. Old API calls on generated instance advisors will delegate to this class

Version:
  $Revision$
Author:
  Kabir Khan
See Also:
  Serialized Form

Nested Class Summary
`class` | `GeneratedInstanceAdvisorMixin.InstanceInterceptorFactory`

Field Summary
`protected ArrayList` | `appendedInterceptors`
`boolean` | `hasInstanceAspects`
`protected ArrayList` | `insertedInterceptors`
`protected Object` | `instance`

Constructor Summary
`GeneratedInstanceAdvisorMixin()`
`GeneratedInstanceAdvisorMixin(Object instance, GeneratedClassAdvisor genadvisor)`

Method Summary
`void` | `appendInterceptor(Interceptor interceptor)`
`void` | `appendInterceptor(int index, Interceptor interceptor)`
`void` | `appendInterceptorStack(String stackName)`
`protected void` | `finalize()` Added to notify interceptor chain observer of interceptor chain garbage collection.
`Domain` | `getDomain()`
`Interceptor[]` | `getInterceptors()`
`Interceptor[]` | `getInterceptors(Interceptor[] advisorChain)` Called by the advisor
`SimpleMetaData` | `getMetaData()`
`Object` | `getPerInstanceAspect(AspectDefinition def)`
`Object` | `getPerInstanceAspect(String def)` Get the instance of an aspect.
`Object` | `getPerInstanceJoinpointAspect(Joinpoint joinpoint, AspectDefinition def)`
`InterceptorFactoryWrapper[]` | `getWrappers()`
`InterceptorFactoryWrapper[]` | `getWrappers(InterceptorFactoryWrapper[] advisorChain)` Called by the advisor
`boolean` | `hasAspects()`
`boolean` | `hasInterceptors()`
`void` | `insertInterceptor(Interceptor interceptor)`
`void` | `insertInterceptor(int index, Interceptor interceptor)`
`void` | `insertInterceptorStack(String stackName)`
`void` | `removeInterceptor(String name)` This will not remove interceptor pointcuts! You will have to do this through AspectManager
`void` | `removeInterceptorStack(String stackName)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### insertedInterceptors

    protected ArrayList insertedInterceptors

### appendedInterceptors

    protected ArrayList appendedInterceptors

### instance

    protected Object instance

### hasInstanceAspects

    public boolean hasInstanceAspects

Constructor Detail

### GeneratedInstanceAdvisorMixin

    public GeneratedInstanceAdvisorMixin()

### GeneratedInstanceAdvisorMixin

    public GeneratedInstanceAdvisorMixin(Object instance,
                                         GeneratedClassAdvisor genadvisor)

Method Detail

### hasInterceptors

    public boolean hasInterceptors()

  Specified by:
    `hasInterceptors` in interface `InstanceAdvisor`

### getPerInstanceAspect

    public Object getPerInstanceAspect(String def)

  Description copied from interface: `InstanceAdvisor`
  Get the instance of an aspect. An aspect encapsulates a set of advices.

  Specified by:
    `getPerInstanceAspect` in interface `InstanceAdvisor`
  Parameters:
    `def` -
  Returns:

### getPerInstanceAspect

    public Object getPerInstanceAspect(AspectDefinition def)

  Specified by:
    `getPerInstanceAspect` in interface `InstanceAdvisor`

### getPerInstanceJoinpointAspect

    public Object getPerInstanceJoinpointAspect(Joinpoint joinpoint,
                                                AspectDefinition def)

  Specified by:
    `getPerInstanceJoinpointAspect` in interface `InstanceAdvisor`

### getMetaData

    public SimpleMetaData getMetaData()

  Specified by:
    `getMetaData` in interface `InstanceAdvisor`

### getInterceptors

    public Interceptor[] getInterceptors()

  Specified by:
    `getInterceptors` in interface `InstanceAdvisor`

### getInterceptors

    public Interceptor[] getInterceptors(Interceptor[] advisorChain)

  Called by the advisor

  Specified by:
    `getInterceptors` in interface `InstanceAdvisor`

### getWrappers

    public InterceptorFactoryWrapper[] getWrappers()

### getWrappers

    public InterceptorFactoryWrapper[] getWrappers(InterceptorFactoryWrapper[] advisorChain)

  Called by the advisor

### insertInterceptor

    public void insertInterceptor(int index,
                                  Interceptor interceptor)

  Specified by:
    `insertInterceptor` in interface `InstanceAdvisor`

### insertInterceptor

    public void insertInterceptor(Interceptor interceptor)

  Specified by:
    `insertInterceptor` in interface `InstanceAdvisor`

### appendInterceptor

    public void appendInterceptor(Interceptor interceptor)

  Specified by:
    `appendInterceptor` in interface `InstanceAdvisor`

### appendInterceptor

    public void appendInterceptor(int index,
                                  Interceptor interceptor)

  Specified by:
    `appendInterceptor` in interface `InstanceAdvisor`

### removeInterceptor

    public void removeInterceptor(String name)

  This will not remove interceptor pointcuts! You will have to do this through AspectManager

  Specified by:
    `removeInterceptor` in interface `InstanceAdvisor`

### hasAspects

    public final boolean hasAspects()

  Specified by:
    `hasAspects` in interface `InstanceAdvisor`

### insertInterceptorStack

    public void insertInterceptorStack(String stackName)

  Specified by:
    `insertInterceptorStack` in interface `InstanceAdvisor`

### appendInterceptorStack

    public void appendInterceptorStack(String stackName)

  Specified by:
    `appendInterceptorStack` in interface `InstanceAdvisor`

### removeInterceptorStack

    public void removeInterceptorStack(String stackName)

  Specified by:
    `removeInterceptorStack` in interface `InstanceAdvisor`

### getDomain

    public Domain getDomain()

  Specified by:
    `getDomain` in interface `InstanceAdvisor`

### finalize

    protected void finalize()

  Added to notify interceptor chain observer of interceptor chain garbage collection.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.